Subject: Re: dejagnu won't run
From: DJ Delorie <[email-masked]>

20 Oct 1998 11:21:14 -0400
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (X11; I; IRIX 5.3 IP22)

[email-masked] wrote:
> .. couldn't execute "\Cygnus\B19\H-i386~1\BIN\..\share\dejagnu\config.guess":
> no such file..

This sounds like /bin/sh is missing.  If not that, I don't know what
it would be.  The fact that it's mixing long and short names
in the same path looks strange, though.

> It goes on either to time out or get an access violation on each test run.
> Meanwhile, it hints "You may need to set your DEJAGNU environment variable."

I only got dejagnu working under NT a few days ago.  My changes
are checked in, so they might be in the next snapshot.  I fixed
a lot of bugs that caused timeouts, access violations, and
resource leaks.  Not all the changes were in cygwin; some were
in expect.

Setting the DEJAGNU variable tells dejagnu where your site-specific
configuration is.  There is a cygwin-specific site.exp, but
all it does is disable some of the gdb tests that aren't supported
yet.  Otherwise, the default "unix" configuration works.
Dejagnu should come with a sample site.exp that should work
OK as long as it has that default case in it.